package com.cm.socket.pojo;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: Message
 * @Description: 消息
 * @Author: WangGeng
 * @Date: 2020/7/4 15:56
 * @Version: 1.0
 **/
public class Message implements Serializable {

    private static final long serialVersionUID = 2041189621546143865L;
    private byte start;
    private byte type;
    private String token;
    private String content;

    public byte getStart() {
        return start;
    }

    public void setStart(byte start) {
        this.start = start;
    }

    public byte getType() {
        return type;
    }

    public void setType(byte type) {
        this.type = type;
    }

    public String getToken() {
        return token == null ? "" : token.trim();
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getContent() {
        return content == null ? "" : content.trim();
    }

    public void setContent(String content) {
        this.content = content;
    }
}
